import request from '@/config/axios'

// 生成邀请码标识
export const enterpriseInviteGenerateCode = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/enterprise-invite/generate/code',
    data
  })
}

// 获取邀请码
export const enterpriseInviteGetCode = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/enterprise-invite/get/code',
    params
  })
}

// 刷新邀请码
export const enterpriseInviteRefresh = async (code) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/enterprise-invite/refresh?code=' + code
  })
}

// 企业管理员-同意加入集团
export const enterpriseInviteRecordConsent = async (params) => {
  return await request.post({
    tokenIndex: 1, // 使用招聘token
    url: '/app-api/menduner/system/recruit/enterprise-invite-record/consent',
    params
  })
}

// 求职者-同意加入企业
export const enterpriseInvitePersonRecordConsent = async (params) => {
  return await request.post({
    tokenIndex: 2, // 使用求职token
    url: '/app-api/menduner/system/enterprise-invite-record/consent',
    params
  })
}

// 获得企业邀请记录分页
export const enterpriseInviteRecordPage = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/enterprise-invite-record/page',
    params
  })
}

// 获得企业邀请记录分页
export const getEnterpriseInfoByCode = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/enterprise-invite/get/info/by/code',
    params
  })
}
